

# Module oc_propagation_http_tracecontext #
* [Description](#description)
* [Data Types](#types)
* [Function Index](#index)
* [Function Details](#functions)

Functions to support the http header format of the tracecontext spec
Implements the spec found here https://www.w3.org/TR/trace-context/.

<a name="types"></a>

## Data Types ##




### <a name="type-maybe">maybe()</a> ###


<pre><code>
maybe(T) = T | undefined
</code></pre>

<a name="index"></a>

## Function Index ##


<table width="100%" border="1" cellspacing="0" cellpadding="2" summary="function index"><tr><td valign="top"><a href="#decode-1">decode/1</a></td><td></td></tr><tr><td valign="top"><a href="#encode-1">encode/1</a></td><td></td></tr><tr><td valign="top"><a href="#from_headers-1">from_headers/1</a></td><td></td></tr><tr><td valign="top"><a href="#to_headers-1">to_headers/1</a></td><td></td></tr></table>


<a name="functions"></a>

## Function Details ##

<a name="decode-1"></a>

### decode/1 ###

`decode(TraceContext) -> any()`

<a name="encode-1"></a>

### encode/1 ###

<pre><code>
encode(Span_ctx::<a href="opencensus.md#type-span_ctx">opencensus:span_ctx()</a>) -&gt; iolist()
</code></pre>
<br />

<a name="from_headers-1"></a>

### from_headers/1 ###

<pre><code>
from_headers(Headers::list() | map()) -&gt; <a href="#type-maybe">maybe</a>(<a href="opencensus.md#type-span_ctx">opencensus:span_ctx()</a>)
</code></pre>
<br />

<a name="to_headers-1"></a>

### to_headers/1 ###

<pre><code>
to_headers(Span_ctx::<a href="opencensus.md#type-span_ctx">opencensus:span_ctx()</a> | undefined) -&gt; [{binary(), iolist()}]
</code></pre>
<br />

