

# Module oc_tracestate #
* [Description](#description)
* [Data Types](#types)
* [Function Index](#index)
* [Function Details](#functions)

`oc_tracestate` implements support for the Tracestate header of the
W3C TraceContext propagation format.

<a name="types"></a>

## Data Types ##




### <a name="type-entries">entries()</a> ###


<pre><code>
entries() = [<a href="#type-entry">entry()</a>]
</code></pre>




### <a name="type-entry">entry()</a> ###


<pre><code>
entry() = {<a href="#type-key">key()</a>, <a href="#type-value">value()</a>}
</code></pre>




### <a name="type-key">key()</a> ###


<pre><code>
key() = <a href="unicode.md#type-latin1_chardata">unicode:latin1_chardata()</a>
</code></pre>




### <a name="type-maybe">maybe()</a> ###


<pre><code>
maybe(T) = T | undefined
</code></pre>




### <a name="type-value">value()</a> ###


<pre><code>
value() = <a href="unicode.md#type-latin1_chardata">unicode:latin1_chardata()</a>
</code></pre>

<a name="index"></a>

## Function Index ##


<table width="100%" border="1" cellspacing="0" cellpadding="2" summary="function index"><tr><td valign="top"><a href="#add-2">add/2</a></td><td></td></tr><tr><td valign="top"><a href="#are_valid-1">are_valid/1</a></td><td></td></tr><tr><td valign="top"><a href="#format_error-1">format_error/1</a></td><td></td></tr><tr><td valign="top"><a href="#is_valid-1">is_valid/1</a></td><td></td></tr><tr><td valign="top"><a href="#new-2">new/2</a></td><td></td></tr></table>


<a name="functions"></a>

## Function Details ##

<a name="add-2"></a>

### add/2 ###

<pre><code>
add(Tracestate::<a href="#type-maybe">maybe</a>(<a href="opencensus.md#type-tracestate">opencensus:tracestate()</a>), Entries::<a href="#type-entries">entries()</a>) -&gt; <a href="opencensus.md#type-tracestate">opencensus:tracestate()</a> | {error, term()}
</code></pre>
<br />

<a name="are_valid-1"></a>

### are_valid/1 ###

<pre><code>
are_valid(Rest::<a href="#type-entries">entries()</a>) -&gt; true | {false, {invalid_entry, <a href="#type-entry">entry()</a>}}
</code></pre>
<br />

<a name="format_error-1"></a>

### format_error/1 ###

<pre><code>
format_error(X1::term()) -&gt; string()
</code></pre>
<br />

<a name="is_valid-1"></a>

### is_valid/1 ###

<pre><code>
is_valid(X1::<a href="#type-entry">entry()</a>) -&gt; boolean()
</code></pre>
<br />

<a name="new-2"></a>

### new/2 ###

<pre><code>
new(Tracestate::<a href="opencensus.md#type-tracestate">opencensus:tracestate()</a>, Entries::list()) -&gt; <a href="#type-maybe">maybe</a>(<a href="opencensus.md#type-tracestate">opencensus:tracestate()</a>)
</code></pre>
<br />

